Pagina 1 di 2 12 UltimaUltima
Risultati da 1 a 10 di 11
  1. #1
    Utente poco attivo
    Iscritto dal
    2008
    Messaggi
    7
    Professione
    impiegato
    Regione
    Sicilia
    Software
    AutoCAD

    Predefinito Polilinee da portare in quota

    Ciao a tutti,

    avrei bisogno di un lisp (a pagamento s'intende) che esegua le seguenti operazioni su spline e/o polilinee:

    immettere quota di riferimento;
    selezionare la polilinea (o spline);
    immettere la distanza in altezza delle polilinee;
    selezionare polilinea successiva.

    In sostanza ho delle isoipse che devo alzare una ad una sino a portarle alla rispettiva quota. Ho bisogno che il processo sia automatizzato, cioè selezionare la curva di livello ed automaticamente portarla in quota.
    Naturalmente la distanza in altezze delle isoipse è costante.

    Grazie

  2. #2
    Utente Senior L'avatar di GP.
    Iscritto dal
    2008
    Messaggi
    1998
    Professione
    Nientologo
    Regione
    Vercelli
    Software
    uozapp

    Predefinito

    Qui trovi il lisp che fa per te:

    http://www.sepram.com/applicazioni_lisp.htm


    Cambia elevazione a curve
    Con questa funzione è possibile cambiare velocemente l'elevazione a delle polilinee che rappresentano le curve di livello. Il programma chiede la quota della prima polilinea, i punti dell'intercetta e l'equidistanza tra le curve di livello.

  3. #3
    Utente poco attivo
    Iscritto dal
    2008
    Messaggi
    7
    Professione
    impiegato
    Regione
    Sicilia
    Software
    AutoCAD

    Predefinito

    grazie GP

    subito dopo aver scritto il messaggio ho cercato in rete ed ho trovato il lisp della sepram. Purtroppo non funziona con le spline. Ho provato a modificarlo ma senza successo. Rimane quindi valida la mia richiesta.

    ciao :D

  4. #4
    Utente Standard L'avatar di liber
    Iscritto dal
    2007
    Messaggi
    281
    Professione
    tiralinee
    Regione
    Sotto la Gabbia
    Software
    autocad map

    Predefinito

    Citazione Originariamente Scritto da mirabeau Visualizza Messaggio
    grazie GP

    subito dopo aver scritto il messaggio ho cercato in rete ed ho trovato il lisp della sepram. Purtroppo non funziona con le spline. Ho provato a modificarlo ma senza successo. Rimane quindi valida la mia richiesta.

    ciao :D
    convert any spline to pline
    spltopl

    http://forums.augi.com/showthread.php?t=66629

    oppure

    http://forum.arkitera.com/autocad/58...-cevirmek.html
    Ultima modifica di liber; 27-04-2008 alle 13: 55

  5. #5
    Utente Senior L'avatar di GP.
    Iscritto dal
    2008
    Messaggi
    1998
    Professione
    Nientologo
    Regione
    Vercelli
    Software
    uozapp

    Predefinito

    Quella di liber è un'ottima soluzione, ma credo che per mantenere una buona definizione nella geometria della spline occorrerà convertirla in una poly con una marea di vertici.

    Se vuoi prova a modificare il lisp aggiungendo le le righe di codice evidenziate in rosso.

    A me funziona, al limite prova.

    Non ti ho postato il lisp modificato perchè c'è il Copyright dell'autore e non vorrei combinare qualche casino.



    (defun c:CEC ()
    (setvar "cmdecho" 0)
    (if (not equi)(c:CEC-x))
    (setq qt(getreal "\n....... Quota curva iniziale <m>: "))
    (setq P1(getpoint "\n....... Primo punto dell'intercetta:"))
    (setq P2(getpoint P1 "\n....... Secondo punto dell'intercetta:"))
    (setq GruppoPoly(ssget "_F" (list P1 P2) (list (cons -4 "<OR")(cons 0 "POLYLINE")(cons 0 "SPLINE")(cons 0 "LWPOLYLINE")(cons -4 "OR>"))))
    (setq i 0 Zpunto-new qt)
    (repeat (sslength GruppoPoly)
    (setq Polyx(entget(ssname GruppoPoly i)))


    (if (= (cdr(assoc 0 Polyx)) "POLYLINE")
    (progn
    (setq punto(cdr(assoc 10 Polyx)))
    (setq punto-new(list (car punto) (cadr punto) Zpunto-new))
    (setq Polyx (subst (cons 10 punto-new) (assoc 10 Polyx) Polyx))(entmod Polyx)
    )
    (progn(setq Polyx (subst (cons 38 Zpunto-new) (assoc 38 Polyx) Polyx))(entmod Polyx))
    )

    (if (= (cdr (assoc 0 Polyx)) "SPLINE")
    (progn
    (setq lista2 nil)
    (setq cont 0)
    (repeat (length Polyx)
    (Setq lista1 (Nth cont Polyx))
    (If (= (Car lista1) 10)
    (SETQ lista2 (subst Zpunto-new (last lista1) lista1))
    )
    (If (= (Car lista1) 11)
    (SETQ lista2 (subst Zpunto-new (last lista1) lista1))
    )
    (setq cont (1+ cont))
    (if lista2 (setq Polyx (subst lista2 lista1 Polyx)))
    )
    (entmod Polyx)
    )
    )


    (setq Zpunto-new(+ Zpunto-new equi))
    (setq i(1+ i))
    )
    (princ "\n Lavoro eseguito!")(princ)
    )
    (defun c:CEC-x ()
    (setq equi(getreal "\n....... Equidistanza <m>: "))
    (princ)
    )
    (princ "\n <Copyright: ing. Claudio Granuzzo> Digitare CEC per lanciare il programma!")
    (princ "\n Digitare CEC-X per cambiare equidistanza!")
    (princ)

  6. #6
    Utente poco attivo
    Iscritto dal
    2008
    Messaggi
    7
    Professione
    impiegato
    Regione
    Sicilia
    Software
    AutoCAD

    Predefinito

    Grazie di nuovo GP.
    Se dovessi venire dalle mie parti, pizza e birra pagate.
    Naturalmente grazie anche a liber, anche la sua soluzione non è male.

    ciao :D

  7. #7
    Utente Senior L'avatar di GP.
    Iscritto dal
    2008
    Messaggi
    1998
    Professione
    Nientologo
    Regione
    Vercelli
    Software
    uozapp

    Predefinito

    Prego, spero che ti funzioni.

    Però, visto che ti sei sbilanciato, puoi sicuramente accontentare liber.

  8. #8
    Utente Standard L'avatar di liber
    Iscritto dal
    2007
    Messaggi
    281
    Professione
    tiralinee
    Regione
    Sotto la Gabbia
    Software
    autocad map

    Predefinito

    Citazione Originariamente Scritto da mirabeau Visualizza Messaggio
    Grazie di nuovo GP.
    Se dovessi venire dalle mie parti, pizza e birra pagate.
    Naturalmente grazie anche a liber, anche la sua soluzione non è male.

    ciao :D

    a certe cose non si rinuncia mai

  9. #9
    Utente poco attivo
    Iscritto dal
    2009
    Messaggi
    2
    Professione
    studente
    Regione
    sicilia
    Software
    autocad,arcgis,3dmax,photoshop

    Predefinito

    Citazione Originariamente Scritto da GP. Visualizza Messaggio
    Quella di liber è un'ottima soluzione, ma credo che per mantenere una buona definizione nella geometria della spline occorrerà convertirla in una poly con una marea di vertici.

    Se vuoi prova a modificare il lisp aggiungendo le le righe di codice evidenziate in rosso.

    A me funziona, al limite prova.

    Non ti ho postato il lisp modificato perchè c'è il Copyright dell'autore e non vorrei combinare qualche casino.



    (defun c:CEC ()
    (setvar "cmdecho" 0)
    (if (not equi)(c:CEC-x))
    (setq qt(getreal "\n....... Quota curva iniziale <m>: "))
    (setq P1(getpoint "\n....... Primo punto dell'intercetta:"))
    (setq P2(getpoint P1 "\n....... Secondo punto dell'intercetta:"))
    (setq GruppoPoly(ssget "_F" (list P1 P2) (list (cons -4 "<OR")(cons 0 "POLYLINE")(cons 0 "SPLINE")(cons 0 "LWPOLYLINE")(cons -4 "OR>"))))
    (setq i 0 Zpunto-new qt)
    (repeat (sslength GruppoPoly)
    (setq Polyx(entget(ssname GruppoPoly i)))


    (if (= (cdr(assoc 0 Polyx)) "POLYLINE")
    (progn
    (setq punto(cdr(assoc 10 Polyx)))
    (setq punto-new(list (car punto) (cadr punto) Zpunto-new))
    (setq Polyx (subst (cons 10 punto-new) (assoc 10 Polyx) Polyx))(entmod Polyx)
    )
    (progn(setq Polyx (subst (cons 38 Zpunto-new) (assoc 38 Polyx) Polyx))(entmod Polyx))
    )

    (if (= (cdr (assoc 0 Polyx)) "SPLINE")
    (progn
    (setq lista2 nil)
    (setq cont 0)
    (repeat (length Polyx)
    (Setq lista1 (Nth cont Polyx))
    (If (= (Car lista1) 10)
    (SETQ lista2 (subst Zpunto-new (last lista1) lista1))
    )
    (If (= (Car lista1) 11)
    (SETQ lista2 (subst Zpunto-new (last lista1) lista1))
    )
    (setq cont (1+ cont))
    (if lista2 (setq Polyx (subst lista2 lista1 Polyx)))
    )
    (entmod Polyx)
    )
    )


    (setq Zpunto-new(+ Zpunto-new equi))
    (setq i(1+ i))
    )
    (princ "\n Lavoro eseguito!")(princ)
    )
    (defun c:CEC-x ()
    (setq equi(getreal "\n....... Equidistanza <m>: "))
    (princ)
    )
    (princ "\n <Copyright: ing. Claudio Granuzzo> Digitare CEC per lanciare il programma!")
    (princ "\n Digitare CEC-X per cambiare equidistanza!")
    (princ)
    ciao...sono nuovo e capisco ben poco.serve anche a me questo lisp.
    ho fatto tutta la procedura che avete descritto, l'ho caricata nel mio autocad ma non so lanciare l'applicativo!
    scusatemi per la domanda ignorante!
    Vi ringrazio anticipatamente per la vostra disponibilità
    Grazie

  10. #10
    Moderatore L'avatar di PlannerRoad
    Iscritto dal
    2007
    Messaggi
    4955
    Professione
    Variabile
    Regione
    Italia
    Software
    AutoCAD 2016

    Predefinito

    Citazione Originariamente Scritto da davide new Visualizza Messaggio
    ciao...sono nuovo e capisco ben poco.serve anche a me questo lisp.
    ho fatto tutta la procedura che avete descritto, l'ho caricata nel mio autocad ma non so lanciare l'applicativo!
    scusatemi per la domanda ignorante!
    Vi ringrazio anticipatamente per la vostra disponibilità
    Grazie
    C'è scritto anche alla fine del lisp qual'è il comando:

    princ "\n <Copyright: ing. Claudio Granuzzo> Digitare CEC per lanciare il programma!")
    (princ "\n Digitare CEC-X per cambiare equidistanza!")
    (princ)


  • Pagina 1 di 2 12 UltimaUltima

    Discussioni Simili

    1. Portare in 2D elementi con valori in quota
      Di Micolb nel forum AutoCAD
      Risposte: 2
      Ultimo Messaggio: 23-10-2010, 02: 20
    2. Portare a quota zero linee non complanari
      Di nikdark nel forum AutoCAD
      Risposte: 1
      Ultimo Messaggio: 23-03-2009, 22: 40
    3. Parametro distanza tra testo quota e linea orizzontale sotto la quota
      Di Mauro Zovi nel forum Creo Parametric - Messa in tavola
      Risposte: 1
      Ultimo Messaggio: 22-03-2009, 13: 06
    4. Portare a quota zero linee non complanari
      Di Alessandro75 nel forum AutoCAD
      Risposte: 8
      Ultimo Messaggio: 08-10-2008, 11: 21
    5. Portare le linee a quota zero
      Di gabberman nel forum AutoCAD
      Risposte: 19
      Ultimo Messaggio: 13-05-2008, 19: 23

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  



    CAD3D.it - la community dei progettisti